
From: Peter Chubb <peterc@gelato.unsw.edu.au>

If you try to disable IDE DMA from Kconfig, you'll end up with an undefined
symbol, ide_hwif_setup_dma().

The attached rather ugly patch fixes the problem by defining a dummy
function.



 25-akpm/drivers/ide/setup-pci.c |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN drivers/ide/setup-pci.c~ide-dma-disabled-fix drivers/ide/setup-pci.c
--- 25/drivers/ide/setup-pci.c~ide-dma-disabled-fix	Thu Nov 20 15:14:03 2003
+++ 25-akpm/drivers/ide/setup-pci.c	Thu Nov 20 15:14:03 2003
@@ -474,6 +474,11 @@ fixup_address:
  *	state
  */
  
+#ifndef CONFIG_BLK_DEV_IDEDMA_PCI
+static void ide_hwif_setup_dma(struct pci_dev *dev, ide_pci_device_t *d, ide_hwif_t *hwif)
+{
+}
+#else
 static void ide_hwif_setup_dma(struct pci_dev *dev, ide_pci_device_t *d, ide_hwif_t *hwif)
 {
 	u16 pcicmd;
@@ -516,6 +521,7 @@ static void ide_hwif_setup_dma(struct pc
 		}
 	}
 }
+#endif /* CONFIG_BLK_DEV_IDEDMA_PCI*/
 
 /**
  *	ide_setup_pci_controller	-	set up IDE PCI

_
